
#include "signals.hpp"

Signal::Signal(std::string name) : SystemElementContainer<Pin>(name) {};

Signals::Signals(void): SystemElementContainer<Signal>("signals") {}

Signals::Signals(std::vector<Signal> signals): SystemElementContainer<Signal>("signals", signals) {}

